Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.pdq.consumer
Class PdqConsumer

    java.lang.Object
      org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
          org.eclipse.ohf.ihe.pdq.consumer.PdqConsumer

All Implemented Interfaces:
  HL7_Constants

    public class PdqConsumer

extends Client
implements HL7_Constants

This class implements the PIX/PDQ Client Patient Demographics Query Consumer. This actor's role is to initiate a request (query) for a list of patient identifiers whose demographics match the demographics in the query. The Patient Demographics Supplier Actor immediately returns a list response with no intermediate ACK.

Accepts: QBP^Q22
IHE HL7 Segments: MSH,QPD,RCP
IHE HL7 Standard: HL7 2.5

PDQQueryMgr transactions:
QBP^Q22 - Find Candidates
RSP^K22 - Find Candidates Response

See IT Infrastructure Technical Framework Vol 2 > IHE Transactions > Patient Demographics Query

Author:
  Sondra Renly

Field Summary

Fields inherited from class org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
`ATNA_PDQ_AUDITSOURCE, ATNA_PIXC_AUDITSOURCE, ATNA_PIXS_AUDITSOURCE, SEND_MLLP_DEST`

Fields inherited from interface org.eclipse.ohf.ihe.common.hl7v2.message.HL7_Constants
`DSC, DSC_1, DSC_2, ERR, EVN, EVN_2_1, MRG, MRG_1_1, MRG_1_4_1, MRG_1_4_2, MRG_1_4_3, MSA, MSH, MSH_10, MSH_11_1, MSH_11_1_PRODUCTION, MSH_12, MSH_18_1, MSH_18_1_ASCII, MSH_3_1, MSH_3_1_DEFAULT, MSH_3_2, MSH_3_3, MSH_4_1, MSH_4_1_DEFAULT, MSH_4_2, MSH_4_3, MSH_5_1, MSH_5_1_DEFAULT, MSH_5_2, MSH_5_3, MSH_6_1, MSH_6_1_DEFAULT, MSH_6_2, MSH_6_3, MSH_7, PD1, PID, PID_11_1, PID_11_10, PID_11_2, PID_11_3, PID_11_4, PID_11_5, PID_11_6, PID_11_7, PID_11_8, PID_11_9, PID_13_1, PID_14_1, PID_18_1, PID_18_4_1, PID_18_4_2, PID_18_4_3, PID_3_1, PID_3_4_1, PID_3_4_1_DEFAULT, PID_3_4_2, PID_3_4_2_DEFAULT, PID_3_4_3, PID_3_4_3_DEFAULT, PID_5_1, PID_5_2, PID_5_3, PID_5_4, PID_5_5, PID_5_6, PID_7_1, PID_8, PV1, PV1_2, PV1_2_INPATIENT, PV1_2_OUTPATIENT, QAK, QPD, QPD_1_1, QPD_1_2, QPD_1_3, QPD_1_4, QPD_1_5, QPD_1_6, QPD_2, QPD_3_1, QPD_3_4_1, QPD_3_4_2, QPD_3_4_3, QPD_8_4_1, QPD_8_4_2, QPD_8_4_3, RCP, RCP_1, RCP_1_IMMEDIATE, RCP_2_1, RCP_2_2_1, RCP_2_2_1_RECORDS`

Constructor Summary
`PdqConsumer()` Constructs a PDQ Consumer Client object.
`PdqConsumer(java.io.InputStream conformanceProfile)` Constructs a PDQ Consumer Client object.

Method Summary
`PdqConsumerQuery` | `createQuery()` QBP_Q22 Find Candidates Query - create message
`org.eclipse.ohf.hl7v2.core.message.model.Message` | `sendQuery(org.eclipse.ohf.hl7v2.core.message.model.Message msg, boolean verify, java.lang.String auditUser)` Process Message Object message with optional intermediate verification.
`PdqConsumerResponse` | `sendQuery(PdqConsumerQuery msg, boolean verify, java.lang.String auditUser)` Process PdqConsumerQuery message with optional intermediate verification.
`java.lang.String` | `sendQuery(java.lang.String rawHL7, boolean verify, java.lang.String auditUser)` Processes HL7 messages with optional intermediate verification.

Methods inherited from class org.eclipse.ohf.ihe.common.hl7v2.mllpclient.Client
`getConformanceProfileValidationItems, getCPProfile, getHL7DefinitionValidationItems, getMaxVerifyEvent, getMessageManager, getMLLPDestination, getURI, isCanVerifyConformanceProfile, isDoAudit, sendHL7, sendMsg, setConformanceProfile, setConformanceProfileUseToFalse, setDoAudit, setMaxVerifyEvent, setMessageManager, setMLLPDestination`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PdqConsumer

    public PdqConsumer()
                throws ClientException

  Constructs a PDQ Consumer Client object.

  Throws:
    `ClientException`

### PdqConsumer

    public PdqConsumer(java.io.InputStream conformanceProfile)
                throws ClientException

  Constructs a PDQ Consumer Client object.

  Parameters:
    `conformanceProfile` - - XML file (ex. resources > conf > QBP-Q22(find candidates).XML)
  Throws:
    `ClientException`

Method Detail

### createQuery

    public PdqConsumerQuery createQuery()
                                 throws PdqConsumerException

  QBP_Q22 Find Candidates Query - create message

  Returns:
    PdqConsumerQuery
  Throws:
    `PdqConsumerException`

### sendQuery

    public java.lang.String sendQuery(java.lang.String rawHL7,
                                      boolean verify,
                                      java.lang.String auditUser)
                               throws PdqConsumerException

  Processes HL7 messages with optional intermediate verification.

  Parameters:
    `rawHL7` - - hl7v2 message
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Throws:
    `PdqConsumerException`

### sendQuery

    public org.eclipse.ohf.hl7v2.core.message.model.Message sendQuery(org.eclipse.ohf.hl7v2.core.message.model.Message msg,
                                                                      boolean verify,
                                                                      java.lang.String auditUser)
                                                               throws PdqConsumerException

  Process Message Object message with optional intermediate verification.

  Parameters:
    `msg` - - hl7v2 message (org.eclipse.ohf.hl7v2.core)
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Throws:
    `PdqConsumerException`

### sendQuery

    public PdqConsumerResponse sendQuery(PdqConsumerQuery msg,
                                         boolean verify,
                                         java.lang.String auditUser)
                                  throws PdqConsumerException

  Process PdqConsumerQuery message with optional intermediate verification.

  Parameters:
    `msg` - - pdqConsumerQuery
    `verify` - - false to skip verification, true to run verification
    `auditUser` - - user associated with transaction
  Returns:
    PdqConsumerResponse
  Throws:
    `PdqConsumerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD